package com.crm.globex.service;

import com.crm.rely.backend.core.entity.manager.callback.AccountUpdateCallbackEntity;
import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.entity.custom.login.CustomLoginAddEntity;
import com.crm.rely.backend.model.pojo.table.CustomLoginTable;

/**
 * @description:
 * @author: houn
 * @create: 2020-07-31 23:03
 **/
public interface CustomLoginService {

    void add(CustomLoginAddEntity entity) throws ServiceException;

    boolean existByCustomIdAndLogin(Long customId, Long login) throws ServiceException;

    CustomLoginTable getByCustomIdAndLogin(Long customId, Long login) throws ServiceException;

    void scheduleAutomaticLogin() throws ServiceException;

    void callbackAutomaticAccount(AccountUpdateCallbackEntity callbackEntity) throws ServiceException;
}
